<?php
/**
 * Moon register metaboxes.
 *
 * @package Moon
 * @since   1.2.2
 */

function nq_moon_add_meta_boxes( $meta_boxes ) {
	$meta_boxes[] = array(
		'title'      => esc_html__( 'Post Settings', 'moon' ),
		'post_types' => 'post',
		'fields'     => array(
			array(
				'id'   => 'nq_moon_gallery_heading',
				'name' => esc_html__( 'Format Gallery', 'moon' ),
				'type' => 'heading',
			),
			array(
				'name' => esc_html__( 'Upload image for Format Gallery', 'moon' ),
				'id'   => 'nq_moon_gallery',
				'type' => 'image_advanced',
			),
			array(
				'id'   => 'nq_moon_video_heading',
				'name' => esc_html__( 'Format Video', 'moon' ),
				'type' => 'heading',
			),
			array(
				'name'    => esc_html__( 'Video Source', 'moon' ),
				'id'      => 'nq_moon_video_source',
				'type'    => 'select',
				'options' => array(
					'link'  => esc_html__( 'Video link', 'moon' ),
					'embed' => esc_html__( 'Video embed code', 'moon' ),
 					'local' => esc_html__( 'Self hosted', 'moon' )
				),
				'std'         => 'link',
				'placeholder' => esc_html__( 'Select video source', 'moon' ),
			),
			array(
				'name' => esc_html__( 'Video Link', 'moon' ),
				'desc' => esc_html__( 'It\'s placed in every YouTube & Vimeo video', 'moon' ),
				'id'   => 'nq_moon_video_link',
				'type' => 'oembed',
			),
			array(
				'name' => esc_html__( 'Video Embed Code', 'moon' ),
				'desc' => esc_html__( 'Paste video embed code above', 'moon' ),
				'id'   => 'nq_moon_video_embed',
				'type' => 'textarea',
				'cols' => 8,
				'rows' => 6,
			),
			array(
				'name' => esc_html__( 'Video Self Hosted', 'moon' ),
				'desc' => esc_html__( 'Support .mp4 file format only', 'moon' ),
				'id'   => 'nq_moon_video_self_hosted',
				'type' => 'file_input',
			),
			array(
				'id'   => 'nq_moon_quote_heading',
				'name' => esc_html__( 'Format Quote', 'moon' ),
				'type' => 'heading',
			),
			array(
				'name' => esc_html__( 'Quote Content', 'moon' ),
				'id'   => 'nq_moon_quote_content',
				'type' => 'textarea',
				'cols' => 8,
				'rows' => 6,
			),
			array(
				'name' => esc_html__( 'Quote Author', 'moon' ),
				'id'   => 'nq_moon_quote_author',
				'type' => 'text',
			),
			array(
				'id'   => 'nq_moon_audio_heading',
				'name' => esc_html__( 'Format Audio', 'moon' ),
				'type' => 'heading',
			),
			array(
				'name'    => esc_html__( 'Audio Source', 'moon' ),
				'id'      => 'nq_moon_audio_source',
				'type'    => 'select',
				'options' => array(
					'link'  => esc_html__( 'Soundcloud link', 'moon' ),
 					'local' => esc_html__( 'Self hosted', 'moon' )
				),
				'std'         => 'link',
				'placeholder' => esc_html__( 'Select audio source', 'moon' ),
			),
			array(
				'name' => esc_html__( 'Audio Link', 'moon' ),
				'desc' => esc_html__( 'Type your Soundcloud url here', 'moon' ),
				'id'   => 'nq_moon_audio_link',
				'type' => 'oembed',
			),
			array(
				'name' => esc_html__( 'Audio Self Hosted', 'moon' ),
				'desc' => esc_html__( 'Support .mp3 file format only', 'moon' ),
				'id'   => 'nq_moon_audio_self_hosted',
				'type' => 'file_input',
			),
		),
	);

	return $meta_boxes;
}
add_filter( 'rwmb_meta_boxes', 'nq_moon_add_meta_boxes' );